/****************************************************************************
 * QSmithTool :                                                             *
 *   Copyright (C) 2015 by Sébastien Lissarre                               *
 *   sebastien.lissarre@gmail.com                                           *
 *                                                                          *
 * Smith Chart drawing base :                                               *
 *   Copyright (C) 2008 by Lisandro Damián Nicanor Pérez Meyer              *
 *   perezmeyer@gmail.com                                                   *
 *                                                                          *
 *                                                                          *
 *  This file is part of QSmithTool.                                        *
 *                                                                          *
 *  QSmithTool is free software: you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by    *
 *  the Free Software Foundation, either version 3 of the License, or       *
 *  (at your option) any later version.                                     *
 *                                                                          *
 *  QSmithTool is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with QSmithTool.  If not, see <http://www.gnu.org/licenses/>.     *
 ***************************************************************************/


#ifndef CHART_LINES_LIST
#define CHART_LINES_LIST

#define NB_THIN_LINES_CST_Z 92
const double thinLinesConstantZ[] = {
    0.01 , -0.2, 0.0, 0.2, // Z=0.01;0.19  ; 0.01
    0.02 , -0.5, 0.0, 0.5,
    0.03 , -0.2, 0.0, 0.2,
    0.04 , -0.5, 0.0, 0.5,
    0.05 , -0.2, 0.0, 0.2,   0.05, 0.5, 0.75, 1.0,   0.05, -0.5, -0.75, -1.0,
    0.06 , -0.5, 0.0, 0.5,
    0.07 , -0.2, 0.0, 0.2,
    0.08 , -0.5, 0.0, 0.5,
    0.09 , -0.2, 0.0, 0.2,
    0.10 , -2.0, 0.0, 2.0,
    0.11 , -0.2, 0.0, 0.2,
    0.12 , -0.5, 0.0, 0.5,
    0.13 , -0.2, 0.0, 0.2,
    0.14 , -0.5, 0.0, 0.5,
    0.15 , -0.2, 0.0, 0.2,   0.15, 0.5, 0.75, 1.0,   0.15, -0.5, -0.75, -1.0,
    0.16 , -0.5, 0.0, 0.5,
    0.17 , -0.2, 0.0, 0.2,
    0.18 , -0.5, 0.0, 0.5,
    0.19 , -0.2, 0.0, 0.2,
    0.20 , -5.0, 0.0, 5.0, // Z=0.2;0.48  ; 0.02
    0.22 , -0.5, 0.0, 0.5,
    0.24 , -0.5, 0.0, 0.5,   0.25, 0.5, 0.75, 1.0,   0.25, -0.5, -0.75, -1.0,
    0.26 , -0.5, 0.0, 0.5,
    0.28 , -0.50, 0.0, 0.5,
    0.30 , -2.0, 0.0, 2.0,
    0.32 , -0.5, 0.0, 0.5,
    0.34 , -0.5, 0.0, 0.5,   0.35, 0.5, 0.75, 1.0,   0.35, -0.5, -0.75, -1.0,
    0.36 , -0.5, 0.0, 0.5,
    0.38 , -0.5, 0.0, 0.5,
    0.40 , -5.0, 0.0, 5.0,
    0.42 , -0.5, 0.0, 0.5,
    0.44 , -0.5, 0.0, 0.5,   0.45, 0.5, 0.75, 1.0,   0.45, -0.5, -0.75, -1.0,
    0.46 , -0.5, 0.0, 0.5,
    0.48 , -0.5, 0.0, 0.5,
    0.50 , -2.0, 0.0, 2.0, // Z=0.5;1.9  ; 0.1
    0.55 , -1.0, 0.0, 1.0, // Z=0.55
    0.60 , -5.0, 0.0, 5.0,
    0.65 , -1.0, 0.0, 1.0, // Z=0.65
    0.70 , -2.0, 0.0, 2.0,
    0.75 , -1.0, 0.0, 1.0, // Z=0.75
    0.80 , -5.0, 0.0, 5.0,
    0.85 , -1.0, 0.0, 1.0, // Z=0.85
    0.90 , -2.0, 0.0, 2.0,
    0.95 , -1.0, 0.0, 1.0, // Z=0.95
    1.0 , -10.0, 0.0, 10.0,
    1.1 , -2.0, 0.0, 2.0,
    1.2 , -5.0, 0.0, 5.0,
    1.3 , -2.0, 0.0, 2.0,
    1.4 , -5.0, 0.0, 5.0,
    1.5 , -2.0, 0.0, 2.0,
    1.6 , -5.0, 0.0, 5.0,
    1.7 , -2.0, 0.0, 2.0,
    1.8 , -5.0, 0.0, 5.0,
    1.9 , -2.0, 0.0, 2.0,
    2.0 , -50.0, 0.0, 50.0, // Z=2;4.8  ; 0.2
    2.2 , -5.0, 0.0, 5.0,
    2.4 , -5.0, 0.0, 5.0,
    2.6 , -5.0, 0.0, 5.0,
    2.8 , -5.0, 0.0, 5.0,
    3.0 , -10.0, 0.0, 10.0,
    3.2 , -5.0, 0.0, 5.0,
    3.4 , -5.0, 0.0, 5.0,
    3.6 , -5.0, 0.0, 5.0,
    3.8 , -5.0, 0.0, 5.0,
    4.0 , -50.0, 0.0, 50.0,
    4.2 , -5.0, 0.0, 5.0,
    4.4 , -5.0, 0.0, 5.0,
    4.6 , -5.0, 0.0, 5.0,
    4.8 , -5.0, 0.0, 5.0,
    5.0 , -10.0, 0.0, 10.0, // Z=5;9  ; 1
    6.0 , -20.0, 0.0, 20.0,
    7.0 , -10.0, 0.0, 10.0,
    8.0 , -20.0, 0.0, 20.0,
    9.0 , -10.0, 0.0, 10.0,
    10.0 , -50.0, 0.0, 50.0, // Z=10;20  ; 2
    12.0 , -20.0, 0.0, 20.0,
    14.0 , -20.0, 0.0, 20.0,
    16.0 , -20.0, 0.0, 20.0,
    18.0 , -20.0, 0.0, 20.0,
    20.0 , -50.0, 0.0, 50.0, // Z=20;40  ; 10
    30.0 , -50.0, 0.0, 50.0,
    40.0 , -50.0, 0.0, 50.0,
    };

#define NB_THICK_LINES_CST_Z 23

const double thickLinesConstantZ[] = {
    0.05 , -0.2, 0.0, 0.2, // Z=0.05
    0.1 , -1.0, 0.0, 1.0, // Z=0.1
    0.15 , -0.2, 0.0, 0.2, // Z=0.15
    0.2 , -2.0, 0.0, 2.0, // Z=0.2
    0.3 , -1.0, 0.0, 1.0, // Z=0.3
    0.4 , -2.0, 0.0, 2.0, // Z=...
    0.5 , -1.0, 0.0, 1.0, // Z=...
    0.6 , -2.0, 0.0, 2.0, // Z=...
    0.7 , -1.0, 0.0, 1.0, // Z=...
    0.8 , -2.0, 0.0, 2.0, // Z=...
    0.9 , -1.0, 0.0, 1.0, // Z=...
    1.0 , -5.0, 0.0, 5.0, // Z=...
    1.2 , -2.0, 0.0, 2.0,
    1.4 , -2.0, 0.0, 2.0,
    1.6 , -2.0, 0.0, 2.0,
    1.8 , -2.0, 0.0, 2.0,
    2.0 , -5.0, 0.0, 5.0,
    3.0 , -5.0, 0.0, 5.0,
    4.0 , -5.0, 0.0, 5.0,
    5.0 , -10.0, 0.0, 10.0,
    10.0 , -20.0, 0.0, 20.0,
    20.0 , -20.0, 0.0, 20.0,
    50.0 , -10000.0, 0.0, 10000.0
    };

#define NB_THIN_LINES_CST_Ro 81
const double thinLinesConstantRo[] = {
    0.01 , 0.0, 0.1, 0.2, // Y=0.01;0.19  ; 0.01
    0.02 , 0.0, 0.2, 0.5,
    0.03 , 0.0, 0.1, 0.2,
    0.04 , 0.0, 0.2, 0.5,
    0.05 , 0.5, 0.75, 1.0,
    0.06 , 0.0, 0.1, 0.5,
    0.07 , 0.0, 0.1, 0.2,
    0.08 , 0.0, 0.2, 0.5,
    0.09 , 0.0, 0.1, 0.2,
    0.10 , 0.0, 0.5, 2.0,
    0.11 , 0.0, 0.1, 0.2,
    0.12 , 0.0, 0.2, 0.5,
    0.13 , 0.0, 0.1, 0.2,
    0.14 , 0.0, 0.1, 0.5,
    0.15 , 0.5, 0.75, 1.0,
    0.16 , 0.0, 0.1, 0.5,
    0.17 , 0.0, 0.1, 0.2,
    0.18 , 0.0, 0.2, 0.5,
    0.19 , 0.0, 0.1, 0.2,
    0.20 , 0.0, 1.0, 5.0,
    0.22 , 0.0, 0.2, 0.5,
    0.24 , 0.0, 0.2, 0.5,
    0.25 , 0.5, 0.75, 1.0,
    0.26 , 0.0, 0.2, 0.5,
    0.28 , 0.0, 0.2, 0.5,
    0.30 , 0.0, 0.5, 2.0,
    0.32 , 0.0, 0.2, 0.5,
    0.34 , 0.0, 0.2, 0.5,
    0.35 , 0.5, 0.75, 1.0,
    0.36 , 0.0, 0.2, 0.5,
    0.38 , 0.0, 0.2, 0.5,
    0.40 , 0.0, 2.0, 5.0,
    0.42 , 0.0, 0.2, 0.5,
    0.44 , 0.0, 0.2, 0.5,
    0.45 , 0.5, 0.75, 1.0,
    0.46 , 0.0, 0.2, 0.5,
    0.48 , 0.0, 0.2, 0.5,
    0.50 , 0.0, 0.5, 2.0,
    0.55 , 0.0, 0.5, 1.0,
    0.60 , 0.0, 2.0, 5.0,
    0.65 , 0.0, 0.5, 1.0,
    0.70 , 0.0, 0.5, 2.0,
    0.75 , 0.0, 0.5, 1.0,
    0.80 , 0.0, 2.0, 5.0,
    0.85 , 0.0, 0.5, 1.0,
    0.90 , 0.0, 0.5, 2.0,
    0.95 , 0.0, 0.5, 1.0,
    1.1 , 0.0, 0.5, 1.0,
    1.2 , 0.0, 2.0, 5.0,
    1.3 , 0.0, 0.5, 1.0,
    1.4 , 0.0, 2.0, 5.0,
    1.5 , 0.0, 0.5, 1.0,
    1.6 , 0.0, 2.0, 5.0,
    1.7 , 0.0, 0.5, 1.0,
    1.8 , 0.0, 2.0, 5.0,
    1.9 , 0.0, 0.5, 1.0,
    2.0 , 0.0, 3.0, 20.0,
    2.2 , 0.0, 2.0, 5.0,
    2.4 , 0.0, 2.0, 5.0,
    2.6 , 0.0, 2.0, 5.0,
    2.8 , 0.0, 2.0, 5.0,
    3.0 , 0.0, 3.0, 10.0,
    3.2 , 0.0, 2.0, 5.0,
    3.4 , 0.0, 2.0, 5.0,
    3.6 , 0.0, 2.0, 5.0,
    3.8 , 0.0, 2.0, 5.0,
    4.0 , 0.0, 3.0, 20.0,
    4.2 , 0.0, 2.0, 5.0,
    4.4 , 0.0, 2.0, 5.0,
    4.6 , 0.0, 2.0, 5.0,
    4.8 , 0.0, 2.0, 5.0,
    6.0 , 0.0, 3.0, 20.0,
    7.0 , 0.0, 3.0, 10.0,
    8.0 , 0.0, 3.0, 20.0,
    9.0 , 0.0, 3.0, 10.0,
    10.0 , 0.0, 10.0, 50.0,
    12.0 , 0.0, 6.0, 20.0,
    14.0 , 0.0, 6.0, 20.0,
    16.0 , 0.0, 6.0, 20.0,
    18.0 , 0.0, 6.0, 20.0,
    20.0 , 0.0, 10.0, 50.0
    };

#define NB_THICK_LINES_CST_Ro 23
const double thickLinesConstantRo[] = {
    0.05 , 0.0, 0.1, 0.2,
    0.1 , 0.0, 0.4, 1.0,
    0.15 , 0.0, 0.1, 0.2,
    0.2 , 0.0, 0.5, 2.0,
    0.3 , 0.0, 0.4, 1.0,
    0.4 , 0.0, 0.5, 2.0,
    0.5 , 0.0, 0.4, 1.0,
    0.6 , 0.0, 0.5, 2.0,
    0.7 , 0.0, 0.5, 1.0,
    0.8 , 0.0, 0.5, 2.0,
    0.9 , 0.0, 0.5, 1.0,
    1.0 , 0.0, 1.0, 10.0,
    1.2 , 0.0, 0.5, 2.0,
    1.4 , 0.0, 0.5, 2.0,
    1.6 , 0.0, 0.5, 2.0,
    1.8 , 0.0, 0.5, 2.0,
    2.0 , 0.0, 0.5, 5.0,
    3.0 , 0.0, 0.5, 5.0,
    4.0 , 0.0, 2.0, 5.0,
    5.0 , 0.0, 3.0, 10.0,
    10.0 , 0.0, 7.0, 20.0,
    20.0 , 0.0, 10.0, 20.0,
    50.0 , 0.0, 50.0, 10000.0
    };

#endif // CHART_LINES_LIST

