/****************************************************************************
 * QSmithTool :                                                             *
 *   Copyright (C) 2015 by Sébastien Lissarre                               *
 *   sebastien.lissarre@gmail.com                                           *
 *                                                                          *
 * Smith Chart drawing base :                                               *
 *   Copyright (C) 2008 by Lisandro Damián Nicanor Pérez Meyer              *
 *   perezmeyer@gmail.com                                                   *
 *                                                                          *
 *                                                                          *
 *  This file is part of QSmithTool.                                        *
 *                                                                          *
 *  QSmithTool is free software: you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by    *
 *  the Free Software Foundation, either version 3 of the License, or       *
 *  (at your option) any later version.                                     *
 *                                                                          *
 *  QSmithTool is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with QSmithTool.  If not, see <http://www.gnu.org/licenses/>.     *
 ***************************************************************************/



#ifndef DIALOGPARAMETERSDISCRETE_H
#define DIALOGPARAMETERSDISCRETE_H

#include <QDialog>
#include <QCheckBox>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QHBoxLayout>
#include <QVBoxLayout>

#include "rfFctsLibrary.h"

/**
This class instantiate a QDialog to allow user to edit a component value
*/
class dialogParametersDiscrete : public QDialog
{
    Q_OBJECT

public:
    dialogParametersDiscrete(QWidget *parent = 0, ComponentType type=NOT_DEF, CompParametersList listParams = CompParametersList(0));
    QVector<double> & getValues();

private slots:
    void okClicked();
    void enableOkButton();

private:
    QVector<QLabel*> *labelsParam;
    QVector<QLineEdit*> *lineEditsParam;
    QPushButton *okButton;
    QPushButton *closeButton;

    int nbParameters;
    QVector<double> values;
};

#endif



