
#include "rfMathFctsLibrary.h"

complexF polarToCart(complexF polarCplx)
{
    complexF result;
    result.real(polarCplx.real()*cos(polarCplx.imag()*PI/180.0));
    result.imag(polarCplx.real()*sin(polarCplx.imag()*PI/180.0));
    return result;
}

complexF cartToPolar(complexF cartCplx)
{
    complexF result;
    result.real(norm(cartCplx));
    result.imag(arg(cartCplx)*PI/180.0);
    return result;
}

complexF coeffReflectToZload(complexF coeffReflect, double Z0)
{
    complexF result = Z0 * ((1.0+coeffReflect)/(1.0-coeffReflect));
    return result;
}

complexF ZloadTocoeffReflect(complexF Zload, double Z0)
{
    complexF result = ((Zload-Z0)/(Zload+Z0));
    return result;
}
