/***************************************************************************
 * QSmith :                                                                *
 *   Copyright (C) 2015 by Sébastien Lissarre                              *
 *   sebastien.lissarre@gmail.com                                          *
 *                                                                         *
 * Smith Chart drawing base :                                              *
 *   Copyright (C) 2008 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            *
 *   MA  02110-1301  USA                                                   *
 ***************************************************************************/

#ifndef RFMATHLIB_H
#define RFMATHLIB_H

#include <cmath>
#include <complex>
#define complexF std::complex<double>
using namespace std;

static const double PI = 3.141592654;


complexF polarToCart(complexF polarCplx);
complexF cartToPolar(complexF cartCplx);
complexF coeffReflectToZload(complexF coeffReflect, double Z0);
complexF ZloadTocoeffReflect(complexF Zload, double Z0);

#endif



